NDVI_COLORS = [
    [173, 0, 40],
    [197, 20, 42],
    [224, 45, 44],
    [239, 76, 58],
    [254, 108, 74],
    [255, 141, 90],
    [255, 171, 105],
    [255, 198, 125],
    [255, 224, 147],
    [255, 239, 171],
    [253, 254, 194],
    [234, 247, 172],
    [213, 239, 148],
    [185, 227, 131],
    [155, 216, 115],
    [119, 202, 111],
    [83, 189, 107],
    [20, 170, 96],
    [0, 151, 85],
    [0, 126, 71],
]


NDWI_COLORS = [
    [255, 255, 217],
    [247, 252, 200],
    [240, 249, 183],
    [227, 244, 178],
    [211, 238, 179],
    [192, 230, 181],
    [161, 218, 184],
    [131, 206, 187],
    [104, 197, 190],
    [78, 187, 194],
    [57, 174, 195],
    [42, 159, 193],
    [29, 142, 191],
    [31, 121, 181],
    [33, 99, 171],
    [35, 81, 162],
    [36, 63, 153],
    [32, 48, 149],
    [20, 39, 113],
    [8, 29, 88],
]

GNDVI_COLORS = [
    [255, 255, 229],
    [252, 254, 210],
    [248, 252, 192],
    [239, 249, 179],
    [226, 244, 170],
    [212, 238, 161],
    [194, 230, 152],
    [175, 222, 143],
    [153, 213, 134],
    [131, 203, 125],
    [108, 192, 115],
    [85, 181, 103],
    [63, 169, 92],
    [51, 153, 81],
    [38, 136, 70],
    [24, 123, 63],
    [9, 111, 58],
    [0, 98, 53],
    [0, 84, 47],
    [0, 69, 41],
]
GNDVI_CLASS_LABELS = [
    "Área sin o Débil vegetación",
    "Vegetación escasa o Crecimiento inicial",
    "Vegetación moderada y saludable",
    "Vegetación densa y vigorosa",
    "Vegetación sobresaturada o de Alta densidad",
]

NDRE_COLORS = [
    [165, 0, 38],
    [191, 25, 39],
    [217, 51, 40],
    [232, 83, 55],
    [245, 116, 70],
    [250, 150, 86],
    [253, 182, 104],
    [254, 208, 126],
    [254, 231, 150],
    [255, 247, 177],
    [245, 251, 177],
    [225, 242, 150],
    [201, 232, 129],
    [174, 220, 111],
    [142, 207, 103],
    [109, 192, 100],
    [70, 173, 91],
    [30, 154, 81],
]


NDVI_LEGEND = [
    {
        "range": "0.0 - 0.05",
        "label": "Área sin o Débil vegetación",
        "color": [173, 0, 40],
        "percentage": 0.0,
    },
    {
        "range": "0.05 - 0.10",
        "label": "Área sin o Débil vegetación",
        "color": [197, 20, 42],
        "percentage": 0.0,
    },
    {
        "range": "0.10 - 0.15",
        "label": "Área sin o Débil vegetación",
        "color": [224, 45, 44],
        "percentage": 0.0,
    },
    {
        "range": "0.15 - 0.20",
        "label": "Área sin o Débil vegetación",
        "color": [239, 76, 58],
        "percentage": 0.0,
    },
    {
        "range": "0.20 - 0.25",
        "label": "Vegetación escasa o Crecimiento inicial",
        "color": [254, 108, 74],
        "percentage": 0.0,
    },
    {
        "range": "0.25 - 0.30",
        "label": "Vegetación escasa o Crecimiento inicial",
        "color": [255, 141, 90],
        "percentage": 0.0,
    },
    {
        "range": "0.30 - 0.35",
        "label": "Vegetación escasa o Crecimiento inicial",
        "color": [255, 171, 105],
        "percentage": 0.0,
    },
    {
        "range": "0.35 - 0.40",
        "label": "Vegetación escasa o Crecimiento inicial",
        "color": [255, 198, 125],
        "percentage": 0.0,
    },
    {
        "range": "0.40 - 0.45",
        "label": "Vegetación moderada y saludable",
        "color": [255, 224, 147],
        "percentage": 0.0,
    },
    {
        "range": "0.45 - 0.50",
        "label": "Vegetación moderada y saludable",
        "color": [255, 239, 171],
        "percentage": 0.0,
    },
    {
        "range": "0.50 - 0.55",
        "label": "Vegetación moderada y saludable",
        "color": [253, 254, 194],
        "percentage": 0.0,
    },
    {
        "range": "0.55 - 0.60",
        "label": "Vegetación moderada y saludable",
        "color": [234, 247, 172],
        "percentage": 0.0,
    },
    {
        "range": "0.60 - 0.65",
        "label": "Vegetación densa y vigorosa",
        "color": [213, 239, 148],
        "percentage": 0.0,
    },
    {
        "range": "0.65 - 0.70",
        "label": "Vegetación densa y vigorosa",
        "color": [185, 227, 131],
        "percentage": 0.0,
    },
    {
        "range": "0.70 - 0.75",
        "label": "Vegetación densa y vigorosa",
        "color": [155, 216, 115],
        "percentage": 0.0,
    },
    {
        "range": "0.75 - 0.80",
        "label": "Vegetación densa y vigorosa",
        "color": [119, 202, 111],
        "percentage": 0.0,
    },
    {
        "range": "0.80 - 0.85",
        "label": "Vegetatcion sobresaturada 0 de Alta densidad",
        "color": [83, 189, 107],
        "percentage": 0.0,
    },
    {
        "range": "0.85 - 0.90",
        "label": "Vegetatcion sobresaturada 0 de Alta densidad",
        "color": [20, 170, 96],
        "percentage": 0.0,
    },
    {
        "range": "0.90 - 0.95",
        "label": "Vegetatcion sobresaturada 0 de Alta densidad",
        "color": [0, 151, 85],
        "percentage": 0.0,
    },
    {
        "range": "0.95 - 1.00",
        "label": "Vegetatcion sobresaturada 0 de Alta densidad",
        "color": [0, 126, 71],
        "percentage": 0.0,
    },
]


NDWI_LEGEND = [
    {
        "range": "0.0 - 0.05",
        "label": "Ausencia o muy baja presencia de humedad",
        "color": [255, 255, 217],
        "percentage": 0.0,
    },
    {
        "range": "0.05 - 0.10",
        "label": "Ausencia o muy baja presencia de humedad",
        "color": [247, 252, 200],
        "percentage": 0.0,
    },
    {
        "range": "0.10 - 0.15",
        "label": "Ausencia o muy baja presencia de humedad",
        "color": [240, 249, 183],
        "percentage": 0.0,
    },
    {
        "range": "0.15 - 0.20",
        "label": "Ausencia o muy baja presencia de humedad",
        "color": [227, 244, 178],
        "percentage": 0.0,
    },
    {
        "range": "0.20 - 0.25",
        "label": "Déficit de humedad severo en el cultivo",
        "color": [211, 238, 179],
        "percentage": 0.0,
    },
    {
        "range": "0.25 - 0.30",
        "label": "Déficit de humedad severo en el cultivo",
        "color": [192, 230, 181],
        "percentage": 0.0,
    },
    {
        "range": "0.30 - 0.35",
        "label": "Déficit de humedad severo en el cultivo",
        "color": [161, 218, 184],
        "percentage": 0.0,
    },
    {
        "range": "0.35 - 0.40",
        "label": "Déficit de humedad severo en el cultivo",
        "color": [131, 206, 187],
        "percentage": 0.0,
    },
    {
        "range": "0.40 - 0.45",
        "label": "Déficit de humedad moderado en el cultivo",
        "color": [104, 197, 190],
        "percentage": 0.0,
    },
    {
        "range": "0.45 - 0.50",
        "label": "Déficit de humedad moderado en el cultivo",
        "color": [78, 187, 194],
        "percentage": 0.0,
    },
    {
        "range": "0.50 - 0.55",
        "label": "Déficit de humedad moderado en el cultivo",
        "color": [57, 174, 195],
        "percentage": 0.0,
    },
    {
        "range": "0.55 - 0.60",
        "label": "Déficit de humedad moderado en el cultivo",
        "color": [42, 159, 193],
        "percentage": 0.0,
    },
    {
        "range": "0.60 - 0.65",
        "label": "Estado hídrico óptimo del cultivo",
        "color": [29, 142, 191],
        "percentage": 0.0,
    },
    {
        "range": "0.65 - 0.70",
        "label": "Estado hídrico óptimo del cultivo",
        "color": [31, 121, 181],
        "percentage": 0.0,
    },
    {
        "range": "0.70 - 0.75",
        "label": "Estado hídrico óptimo del cultivo",
        "color": [33, 99, 171],
        "percentage": 0.0,
    },
    {
        "range": "0.75 - 0.80",
        "label": "Estado hídrico óptimo del cultivo",
        "color": [35, 81, 162],
        "percentage": 0.0,
    },
    {
        "range": "0.80 - 0.85",
        "label": "Saturación de humedad en el cultivo",
        "color": [36, 63, 153],
        "percentage": 0.0,
    },
    {
        "range": "0.85 - 0.90",
        "label": "Saturación de humedad en el cultivo",
        "color": [32, 48, 149],
        "percentage": 0.0,
    },
    {
        "range": "0.90 - 0.95",
        "label": "Saturación de humedad en el cultivo",
        "color": [20, 39, 113],
        "percentage": 0.0,
    },
    {
        "range": "0.95 - 1.00",
        "label": "Saturación de humedad en el cultivo",
        "color": [8, 29, 88],
        "percentage": 0.0,
    },
]

GNDVI_LEGEND = [
    {
        "range": "0 - 0.05",
        "label": "Área sin o Débil vegetación",
        "color": [255, 255, 229],
        "percentage": 0.0,
    },
    {
        "range": "0.05 - 0.10",
        "label": "Área sin o Débil vegetación",
        "color": [252, 254, 210],
        "percentage": 0.05,
    },
    {
        "range": "0.10 - 0.15",
        "label": "Área sin o Débil vegetación",
        "color": [248, 252, 192],
        "percentage": 0.1,
    },
    {
        "range": "0.15 - 0.20",
        "label": "Área sin o Débil vegetación",
        "color": [239, 249, 179],
        "percentage": 0.0,
    },
    {
        "range": "0.20 - 0.25",
        "label": "Vegetación escasa o Crecimiento inicial",
        "color": [226, 244, 170],
        "percentage": 0.0,
    },
    {
        "range": "0.25 - 0.30",
        "label": "Vegetación escasa o Crecimiento inicial",
        "color": [212, 238, 161],
        "percentage": 0.0,
    },
    {
        "range": "0.30 - 0.35",
        "label": "Vegetación escasa o Crecimiento inicial",
        "color": [194, 230, 152],
        "percentage": 0.0,
    },
    {
        "range": "0.35 - 0.40",
        "label": "Vegetación escasa o Crecimiento inicial",
        "color": [175, 222, 143],
        "percentage": 0.0,
    },
    {
        "range": "0.40 - 0.45",
        "label": "Vegetación moderada y saludable",
        "color": [153, 213, 134],
        "percentage": 0.0,
    },
    {
        "range": "0.45 - 0.50",
        "label": "Vegetación moderada y saludable",
        "color": [131, 203, 125],
        "percentage": 0.0,
    },
    {
        "range": "0.50 - 0.55",
        "label": "Vegetación moderada y saludable",
        "color": [108, 192, 115],
        "percentage": 0.0,
    },
    {
        "range": "0.55 - 0.60",
        "label": "Vegetación moderada y saludable",
        "color": [85, 181, 103],
        "percentage": 0.0,
    },
    {
        "range": "0.60 - 0.65",
        "label": "Vegetación densa y vigorosa",
        "color": [63, 169, 92],
        "percentage": 0.0,
    },
    {
        "range": "0.65 - 0.70",
        "label": "Vegetación densa y vigorosa",
        "color": [51, 153, 81],
        "percentage": 0.0,
    },
    {
        "range": "0.70 - 0.75",
        "label": "Vegetación densa y vigorosa",
        "color": [38, 136, 70],
        "percentage": 0.0,
    },
    {
        "range": "0.75 - 0.80",
        "label": "Vegetación densa y vigorosa",
        "color": [24, 123, 63],
        "percentage": 0.0,
    },
    {
        "range": "0.80 - 0.85",
        "label": "Vegetación sobresaturada o de Alta densidad",
        "color": [9, 111, 58],
        "percentage": 0.0,
    },
    {
        "range": "0.85 - 0.90",
        "label": "Vegetación sobresaturada o de Alta densidad",
        "color": [0, 98, 53],
        "percentage": 0.0,
    },
    {
        "range": "0.90 - 0.95",
        "label": "Vegetación sobresaturada o de Alta densidad",
        "color": [0, 84, 47],
        "percentage": 0.0,
    },
    {
        "range": "0.95 - 1.00",
        "label": "Vegetación sobresaturada o de Alta densidad",
        "color": [0, 69, 41],
        "percentage": 0.0,
    },
]


NDRE_LEGEND = [
    {
        "range": "0 - 0.05",
        "label": "Pobre y muy bajo contenido de clorofila",
        "color": [165, 0, 38],
        "percentage": 0.0,
    },
    {
        "range": "0.05 - 0.10",
        "label": "Pobre y muy bajo contenido de clorofila",
        "color": [191, 25, 39],
        "percentage": 0.05,
    },
    {
        "range": "0.10 - 0.15",
        "label": "Pobre y muy bajo contenido de clorofila",
        "color": [217, 51, 40],
        "percentage": 0.1,
    },
    {
        "range": "0.15 - 0.20",
        "label": "Pobre y muy bajo contenido de clorofila",
        "color": [232, 83, 55],
        "percentage": 0.15,
    },
    {
        "range": "0.20 - 0.25",
        "label": "Bajo contenido de clorofila",
        "color": [245, 116, 70],
        "percentage": 0.2,
    },
    {
        "range": "0.25 - 0.30",
        "label": "Bajo contenido de clorofila",
        "color": [250, 150, 86],
        "percentage": 0.25,
    },
    {
        "range": "0.30 - 0.35",
        "label": "Bajo contenido de clorofila",
        "color": [253, 182, 104],
        "percentage": 0.3,
    },
    {
        "range": "0.35 - 0.40",
        "label": "Bajo contenido de clorofila",
        "color": [254, 208, 126],
        "percentage": 0.35,
    },
    {
        "range": "0.40 - 0.45",
        "label": "Moderado contenido de clorofila",
        "color": [254, 231, 150],
        "percentage": 0.4,
    },
    {
        "range": "0.45 - 0.50",
        "label": "Moderado contenido de clorofila",
        "color": [253, 245, 174],
        "percentage": 0.45,
    },
    {
        "range": "0.50 - 0.55",
        "label": "Moderado contenido de clorofila",
        "color": [252, 247, 198],
        "percentage": 0.5,
    },
    {
        "range": "0.55 - 0.60",
        "label": "Moderado contenido de clorofila",
        "color": [234, 247, 172],
        "percentage": 0.55,
    },
    {
        "range": "0.60 - 0.65",
        "label": "Alto contenido de clorofila",
        "color": [213, 239, 148],
        "percentage": 0.6,
    },
    {
        "range": "0.65 - 0.70",
        "label": "Alto contenido de clorofila",
        "color": [185, 227, 131],
        "percentage": 0.65,
    },
    {
        "range": "0.70 - 0.75",
        "label": "Alto contenido de clorofila",
        "color": [155, 216, 115],
        "percentage": 0.7,
    },
    {
        "range": "0.75 - 0.80",
        "label": "Alto contenido de clorofila",
        "color": [119, 202, 111],
        "percentage": 0.75,
    },
    {
        "range": "0.80 - 0.85",
        "label": "Muy alto contenido de clorofila",
        "color": [83, 189, 107],
        "percentage": 0.8,
    },
    {
        "range": "0.85 - 0.90",
        "label": "Muy alto contenido de clorofila",
        "color": [20, 170, 96],
        "percentage": 0.85,
    },
    {
        "range": "0.90 - 0.95",
        "label": "Muy alto contenido de clorofila",
        "color": [0, 151, 85],
        "percentage": 0.9,
    },
    {
        "range": "0.95 - 1.00",
        "label": "Muy alto contenido de clorofila",
        "color": [0, 126, 71],
        "percentage": 0.95,
    },
]
